<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/14
 * Time: 16:23
 */

namespace App\Http\Controllers\V1;

use App\Repositories\PostRepositories;
use App\Transformers\Post\SuggestTransformer;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Validator;
use Illuminate\Validation\Rule;
use League\Fractal\Manager;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
use League\Fractal\Resource\Collection;
use League\Fractal\Resource\Item;

class PostController extends Controller
{

    public function __construct(PostRepositories $postRepositories)
    {
        $this->postRepositories = $postRepositories;
    }

    /**
     * 推荐内容列表
     */
    public function suggestPost(Request $request)
    {
        $purchaseList = $this->postRepositories->suggestPost($request->all());
        $fractal = new Manager();
        $resource = new Collection($purchaseList, new SuggestTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($purchaseList));
        $data = $fractal->createData($resource)->toArray();
        return jsonSuccess($data);
    }
}